/*
 *  Copyright (C) 2007  Thadeu Lima de Souza Cascardo <cascardo@holoscopio.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */


#ifndef ATOMPUB_IRI_H
#define ATOMPUB_IRI_H

#include <atompub/ctx.h>

typedef struct _iri IRI;

IRI * iri_new (void);
IRI * iri_new_from_string (char *);
void iri_delete (IRI *);
IRI * iri_copy (IRI *);
char *iri_get_scheme (IRI *);
void iri_set_scheme (IRI *, char *);
char * iri_get_host (IRI *);
void iri_set_host (IRI *, char *);
char * iri_get_path (IRI *);
void iri_set_path (IRI *, char *);
char * iri_get_string (IRI *);

#endif
